## rsync 3.3.0

=== debian/changelog ===
rsync (3.3.0-1ubuntu0.2) oracular-security; urgency=medium

  * SECURITY REGRESSION: missing ipv6 support (LP: #2096914)
    - d/p/fix_failing_ipv6_check_while_build.patch: fix main return type
      to int which caused configure to fail

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Sat, 08 Feb 2025 11:14:20 +0530

rsync (3.3.0-1ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: safe links bypass vulnerability
    - d/p/CVE-2024-12088/0001-make-safe-links-stricter.patch: reject
      links where a "../" component is included in the destination
    - CVE-2024-12088
  * SECURITY UPDATE: arbitrary file write via symbolic links
    - d/p/CVE-2024-12087/0001-Refuse-a-duplicate-dirlist.patch: refuse
      malicious duplicate flist for dir
    - d/p/CVE-2024-12087/0002-range-check-dir_ndx-before-use.patch: refuse
      invalid dir_ndx
    - d/p/fix_flag_got_dir_flist_collision.patch: fix flag collision
    - CVE-2024-12087
  * SECURITY UPDATE: arbitrary client file leak
    - d/p/CVE-2024-12086/0001-refuse-fuzzy-options-when-fuzzy-not-selected.patch:
      refuse fuzzy options when not selected
    - d/p/CVE-2024-12086/0002-added-secure_relative_open.patch: safe
      implementation to open a file relative to a base directory
    - d/p/CVE-2024-12086/0003-receiver-use-secure_relative_open-for-basis-file.patch:
      ensure secure file access for basis file
    - d/p/CVE-2024-12086/0004-disallow-.-elements-in-relpath-for-secure_relative_o.patch:
      disallow "../" in relative path
    - CVE-2024-12086
  * SECURITY UPDATE: information leak via uninitialized stack contents
    - d/p/CVE-2024-12085/0001-prevent-information-leak-off-the-stack.patch:
      prevent information leak by zeroing
    - CVE-2024-12085
  * SECURITY UPDATE: heap buffer overflow in checksum parsing
    - d/p/CVE-2024-12084/0001-Some-checksum-buffer-fixes.patch: fix
      checksum buffer issues, better length check
    - d/p/CVE-2024-12084/0002-Another-cast-when-multiplying-integers.patch:
      fix multiplying size by a better cast
    - CVE-2024-12084
  * SECURITY UPDATE: symlink race condition
    - d/p/CVE-2024-12747/0001-fixed-symlink-race-condition-in-sender.patch:
      do_open_checklinks to prevent symlink race
    - CVE-2024-12747

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Tue, 28 Jan 2025 14:02:37 +0530

rsync (3.3.0-1) unstable; urgency=medium

  [ Aquila Macedo Costa ]
  * d/control: Bump Standards-Version to 4.6.2

  [ Samuel Henrique ]
  * New upstream version 3.3.0 (closes: #1068630)
  * Bump Standards-Version to 4.7.0
  * Update patches
  * d/patches: Drop merged patches
  * d/control: Drop dependency on lsb-base
  * d/rsync.lintian-overrides: Update overrides

 -- Samuel Henrique <samueloph@debian.org>  Fri, 12 Apr 2024 00:28:29 +0100

rsync (3.2.7-1) unstable; urgency=medium

  [ Juri Grabowski ]
  * New upstream version 3.2.7
  * Remove patches included in new release

  [ Helmut Grohne ]
  * Fix FTCBFS: Use native instances for python build depends
    (closes: #1022988).

  [ Samuel Henrique ]
  * d/rsync.lintian-overrides: Update findings as per lintian changes
  * d/patches: Add two upstream patches to fix issues post 3.2.7 release:
    - trust_the_sender_on_a_local_transfer.patch
    - avoid_quoting_of_tilde_when_its_a_destination_arg.patch

 -- Samuel Henrique <samueloph@debian.org>  Sun, 18 Dec 2022 14:10:54 +0000

rsync (3.2.6-4) unstable; urgency=medium

  * Upload to unstable
    - d/patches:
      ~ fix_files_from.patch: Upstream patch to address the files-from issue.
      ~ fix_relative.patch: Upstream patch to fix exclusion of /. with
        --relative.
      ~ fix_remote_filter_rules_validation.patch: Upstream patch to fix bug
        with validating remote filter rules.
    (closes: #1018296, #1019561)

 -- Samuel Henrique <samueloph@debian.org>  Wed, 21 Sep 2022 18:58:57 +0100

rsync (3.2.6-3) experimental; urgency=medium

  * d/patches:
    - fix_files_from.patch: Upstream patch to address the files-from issue,
      likely to also be related to #1019561 and #1018296
    - fix_relative.patch: Upstream patch to fix exclusion of /. with --relative

 -- Samuel Henrique <samueloph@debian.org>  Wed, 14 Sep 2022 19:25:19 +0100

rsync (3.2.6-2) experimental; urgency=medium

  * d/p/fix_remote_filter_rules_validation.patch: New upstream patch to try to
    fix #1019561 and #1018296

 -- Samuel Henrique <samueloph@debian.org>  Tue, 13 Sep 2022 20:55:01 +0100

rsync (3.2.6-1) unstable; urgency=medium

  * New upstream version 3.2.6
    - Added a safety check that prevents the sender from removing destination
      files when a local copy using --remove-source-files has some files that
      are shared between the sending & receiving hierarchies, including the
      case where the source dir & destination dir are identical
      (closes: #1016102)
  * Bump Standards-Version to 4.6.1

 -- Samuel Henrique <samueloph@debian.org>  Sat, 10 Sep 2022 20:03:51 +0100

=== debian/control ===
Source: rsync
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Slootman <paul@debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper-compat (= 13),
               libacl1-dev,
               libpopt-dev,
               liblz4-dev,
               libxxhash-dev (>= 0.8),
               libzstd-dev (>= 1.4),
               zlib1g-dev,
               libssl-dev,
               python3:native,
               python3-cmarkgfm:native
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://rsync.samba.org/
Vcs-Git: https://salsa.debian.org/debian/rsync.git
Vcs-Browser: https://salsa.debian.org/debian/rsync

Package: rsync
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: openssh-client,
          openssh-server,
          python3,
          python3-braceexpand
Description: fast, versatile, remote (and local) file-copying tool
 rsync is a fast and versatile file-copying tool which can copy locally
 and to/from a remote host. It offers many options to control its behavior,
 and its remote-update protocol can minimize network traffic to make
 transferring updates between machines fast and efficient.
 .
 It is widely used for backups and mirroring and as an improved copy
 command for everyday use.
 .
 This package provides both the rsync command line tool and optional
 daemon functionality.

## rsync 3.3.0%2Bds1

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/, \
      filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/, \
      dversionmangle=s/@DEB_EXT@//, \
      repacksuffix=+ds1" \
https://rsync.samba.org/ftp/rsync/ rsync-(\d\S+)\.tar\.gz

## rsync 3.3.0+ds1

=== debian/changelog ===
rsync (3.3.0+ds1-4) unstable; urgency=critical

  [ Salvatore Bonaccorso ]
  * Fix FLAG_GOT_DIR_FLIST collission with FLAG_HLINKED
    (Closes: #1093089, #1093052)

  [ Samuel Henrique ]
  * d/p/Fix_use-after-free_in_generator: New patch to fix UAF

 -- Samuel Henrique <samueloph@debian.org>  Wed, 15 Jan 2025 18:34:49 +0000

rsync (3.3.0+ds1-3) unstable; urgency=critical

  * Import upstream patches for CVE-2024-12084, CVE-2024-12085,
    CVE-2024-12086, CVE-2024-12087, CVE-2024-12088, CVE-2024-12747
     - d/p/rsync-upstream-CVE-patches-v3/CVE-2024-12084
       ~ 0001-Some-checksum-buffer-fixes.patch
       ~ 0002-Another-cast-when-multiplying-integers.patch
     - d/p/rsync-upstream-CVE-patches-v3/CVE-2024-12085
       ~ 0001-prevent-information-leak-off-the-stack.patch
     - d/p/rsync-upstream-CVE-patches-v3/CVE-2024-12086
       ~ 0001-refuse-fuzzy-options-when-fuzzy-not-selected.patch
       ~ 0002-added-secure_relative_open.patch
       ~ 0003-receiver-use-secure_relative_open-for-basis-file.patch
       ~ 0004-disallow-.-elements-in-relpath-for-secure_relative_o.patch
     - d/p/rsync-upstream-CVE-patches-v3/CVE-2024-12087
       ~ 0001-Refuse-a-duplicate-dirlist.patch
       ~ 0002-range-check-dir_ndx-before-use.patch
     - d/p/rsync-upstream-CVE-patches-v3/CVE-2024-12088
       ~ 0001-make-safe-links-stricter.patch
     - d/p/rsync-upstream-CVE-patches-v3/CVE-2024-12747
       ~ 0001-fixed-symlink-race-condition-in-sender.patch
     - d/p/rsync-upstream-CVE-patches-v3/version_update
       ~ 0001-raise-protocol-version-to-32.patch
       ~ 0002-change-version-to-3.4.0.patch
       ~ 0003-update-NEWS-for-3.4.0.patch

 -- Samuel Henrique <samueloph@debian.org>  Sun, 12 Jan 2025 15:40:14 +0000

rsync (3.3.0+ds1-2) unstable; urgency=medium

  * d/watch: Set repacksuffix to +ds1 to fix salsa CI
  * d/p/configure_ac...: New patch to fix IPv6 support, thanks to Simon
    Ruderich for the bug report (closes: #1090328)

 -- Samuel Henrique <samueloph@debian.org>  Tue, 17 Dec 2024 18:56:13 +0000

rsync (3.3.0+ds1-1) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
  * New upstream version 3.3.0+ds
    - Repack to remove the zlib bundled library

  [ Matheus Polkorny ]
  * New upstream version 3.3.0+ds1
    - Repack to remove the popt bundled library
  * d/copyright: Update to comply with 1.0 format and exclude popt/*
  * d/gbp.conf: Remove export-dir configuration
  * d/rules: fix build failure due to missing zlib/dummy.in and popt/dummy.in
  * d/t/upstream-tests: Run d/rules override_dh_auto_configure during setup
  * d/watch: add +ds suffix to version

 -- Matheus Polkorny <mpolkorny@gmail.com>  Sat, 07 Dec 2024 20:54:11 -0300

## rsync 3.4.1%2Bds1

=== debian/changelog ===
rsync (3.4.1+ds1-7) unstable; urgency=medium

  * Team upload.

  [ Arnaud Rebillout ]
  * d/control: Switch back to python3-cmarkgfm for all architectures

  [ Matheus Polkorny ]
  * d/p/CVE-2025-10158.patch: Import upstream patch to fix CVE-2025-10158

    A malicious client acting as the receiver of an rsync file transfer
    can trigger an out of bounds read of a heap based buffer,
    via a negative array index. (Closes: #1121442)

 -- Matheus Polkorny <mpolkorny@gmail.com>  Thu, 27 Nov 2025 21:01:55 -0300

rsync (3.4.1+ds1-6) unstable; urgency=medium

  [ Samuel Henrique ]
  * d/p/reproducible-build.patch: New patch to fix reproducible builds, thanks
    to lamby (closes: #1093201)
  * gcc_15.patch: New patch to support building with GCC 15 (closes: #1097811)

  [ Arnaud Rebillout ]
  * d/tests/remote-tests: start the SSH service if ever it's not up

  [ Alex ]
  * d/tests/local-tests: remove test skip

 -- Samuel Henrique <samueloph@debian.org>  Wed, 22 Oct 2025 19:22:21 +0100

rsync (3.4.1+ds1-5) unstable; urgency=medium

  * Team upload.
  * d/tests/local-tests: beautify test script
  * d/tests: run rsync tests over ssh
  * d/tests/local-tests: add test for --exclude flag
  * d/copyright: add contributor

 -- Alex <alex@puer-robustus.eu>  Sat, 26 Jul 2025 11:26:07 +0200

rsync (3.4.1+ds1-5~exp1) experimental; urgency=medium

  * Team upload.
  * d/tests: add Debian-specific local rsync tests

 -- Alex <alex@puer-robustus.eu>  Thu, 03 Jul 2025 22:28:36 +0200

rsync (3.4.1+ds1-4) unstable; urgency=medium

  * Upload to unstable

 -- Samuel Henrique <samueloph@debian.org>  Mon, 09 Jun 2025 19:41:23 +0100

rsync (3.4.1+ds1-4~exp2) experimental; urgency=medium

  * Team upload.
  * d/control: Add acl and attr packages to Build-Depends
  * d/tests: Add "upstream-tests-as-root" test with needs-root restriction

 -- Alex <alex@puer-robustus.eu>  Fri, 06 Jun 2025 16:40:59 +0200

rsync (3.4.1+ds1-4~exp1) experimental; urgency=medium

  * Team upload.
  * docs(debian/copyright): consistently point to GNU licenses website
  * d/tests: add superficial test for "rsync -h"

 -- Alex <alex@puer-robustus.eu>  Wed, 04 Jun 2025 21:46:47 +0200

rsync (3.4.1+ds1-3) unstable; urgency=medium

  * Team upload.
  * python3-cmarkgfm is currently broken for hppa architecture

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 07 Mar 2025 17:59:15 +0700

rsync (3.4.1+ds1-2) unstable; urgency=medium

  * Team upload.
  * Update skip_devices_test patch to be non-linux
  * Add patch to fix flaky hardlinks test
  * d/watch: Drop filenamemangle and uversionmangle, simplify dversionmangle

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 06 Mar 2025 14:10:57 +0700

rsync (3.4.1+ds1-1) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
  * Swap Maintainer with Uploaders, so samueloph can get email notifications

  [ Arnaud Rebillout ]
  * d/watch: Adjust url to point to the src dir with all the releases
  * Update upstream signing key, metadata and email address
  * New upstream version 3.4.1+ds1 (Closes: #1093081)
  * Drop patches applied upstream
  * Update shebang patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 05 Mar 2025 09:02:19 +0700

## rsync 3.4.1+ds1

=== support/Makefile ===
all: savetransfer

savetransfer: savetransfer.o

clean:
	rm -f *.o savetransfer

=== debian/changelog ===
rsync (3.4.1+ds1-5ubuntu1) questing; urgency=medium

  * d/p/do-not-typedef-bool.patch: fix build error in upstream-tests
    (LP: #2119658)
  * debian/tests: use Restrictions: allow-stderr rather than redirecting stderr

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 06 Aug 2025 11:00:26 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paul Slootman <paul@debian.org>
-Uploaders: Samuel Henrique <samueloph@debian.org>
+XSBC-Original-Maintainer: Samuel Henrique <samueloph@debian.org>
+Uploaders: Paul Slootman <paul@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libacl1-dev,
                libpopt-dev,
@@ -13,7 +13,9 @@
                zlib1g-dev,
                libssl-dev,
                python3:native,
-               python3-cmarkgfm:native
+               python3-cmarkgfm:native [!hppa] | python3-commonmark [hppa],
+               acl <!nocheck>,
+               attr <!nocheck>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://rsync.samba.org/

=== debian/tests/control ===
Tests: local-tests
Depends: @, @builddeps@, build-essential, diffoscope, shunit2

Tests: upstream-tests
Depends: @, @builddeps@, build-essential
Restrictions: allow-stderr

Test-Command: rsync -h
Features: test-name=rsync-help
Restrictions: superficial

Tests: remote-tests
Depends: @, @builddeps@, build-essential, diffoscope, shunit2, openssh-server, adduser
Restrictions: needs-root, isolation-container

Tests: upstream-tests-as-root
Depends: @, @builddeps@, build-essential
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/, \
      dversionmangle=auto, \
      repacksuffix=+ds1" \
https://rsync.samba.org/ftp/rsync/src/ rsync-(\d\S+)\.tar\.gz
